| Home | Libraries | People | FAQ | More

## Struct template tree_assoc_options

boost::container::tree_assoc_options

## Synopsis

    // In header: <boost/container/options.hpp>

    template<class ... Options>
    struct tree_assoc_options {
      // types
      typedef implementation_defined type;
    };

## Description

Helper metafunction to combine options into a single type to be used by `boost::container::set`, `boost::container::multiset` `boost::container::map` and `boost::container::multimap`. Supported options are: `boost::container::optimize_size` and `boost::container::tree_type`